# LEFontInstance.h File Reference

C++ API: Layout Engine Font Instance object. More...

`#include "LETypes.h"`

Go to the source code of this file.

## Data Structures
class | LECharMapper
| Instances of this class are used by `LEFontInstance::mapCharsToGlyphs` and `LEFontInstance::mapCharToGlyph` to adjust character codes before the character to glyph mapping process. More...
class | LEFontInstance
| This is a virtual base class that serves as the interface between a LayoutEngine and the platform font environment. More...

## Detailed Description

C++ API: Layout Engine Font Instance object.

Definition in file LEFontInstance.h.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines